Compatibility Rated 1 out of 5 stars

Hope there is a 3.5 compatible version coming soon...!